variables:
  GIT_SUBMODULE_STRATEGY: recursive

stages:
  - build
  - deploy

workflow:
  rules:
    - if: '$CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH'

build:
  stage: build
  image: klakegg/hugo:ext-ci
  artifacts:
    expire_in: 8 hours
    name: km-docs-${CI_COMMIT_REF_SLUG}
    paths:
    - public/
  interruptible: true
  tags: 
    - $RUNNER_LINUX
  script:
    - hugo version
    - hugo    

deploy:
  stage: deploy
  interruptible: true
  image: minidocks/lftp
  dependencies:
    - build
  tags: 
    - $RUNNER_LINUX
  script:
    - lftp -c "set cmd:fail-exit yes; set ftp:ssl-allow no; open -u $USERNAME,$PASSWORD $KARAOKESMOE; lcd public; cd www/docs.karaokes.moe ; mirror -Rpnev --parallel=10 "
